# template: scl
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name dry-types
%global gem_require_name %{gem_name}

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.5.1
Release: 1%{?dist}
Summary: Type system for Ruby supporting coercions, constraints and complex types like structs, value objects, enums etc
Group: Development/Languages
License: MIT
URL: https://dry-rb.org/gems/dry-types
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby >= 2.5.0
Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(concurrent-ruby) >= 1.0
Requires: %{?scl_prefix}rubygem(concurrent-ruby) < 2
Requires: %{?scl_prefix}rubygem(dry-container) >= 0.3
Requires: %{?scl_prefix}rubygem(dry-container) < 1
Requires: %{?scl_prefix}rubygem(dry-core) >= 0.5
Requires: %{?scl_prefix}rubygem(dry-core) < 1
Requires: %{?scl_prefix}rubygem(dry-core) >= 0.5
Requires: %{?scl_prefix}rubygem(dry-inflector) >= 0.1
Requires: %{?scl_prefix}rubygem(dry-inflector) < 1
Requires: %{?scl_prefix}rubygem(dry-inflector) >= 0.1.2
Requires: %{?scl_prefix}rubygem(dry-logic) >= 1.0
Requires: %{?scl_prefix}rubygem(dry-logic) < 2
Requires: %{?scl_prefix}rubygem(dry-logic) >= 1.0.2
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}ruby >= 2.5.0
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
# end specfile generated dependencies

%description
Type system for Ruby supporting coercions, constraints and complex types like
structs, value objects, enums etc.


%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/dry-types.gemspec

%changelog
* Tue May 31 2022 Dirk Goetz <dirk.goetz@netways.de> 1.5.1-1
- Add rubygem-dry-types generated by gem2rpm using the scl template

